Redmine - Feature #11502

Expose roles details via REST API
2012-07-24 19:00 - Vincent Caron

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 2.2.0

Resolution: Fixed

Description

| recently needed a read-only access to the roles details via the REST API and implemented that - based on code from the original
submission from #9725.

The patch adds a /roles/[id].:format route and a simple list of granted permissions for the requested role.

Also find attached a contribution to complete the existing doc at http://www.redmine.org/projects/redmine/wiki/Rest_Roles.

Related issues:
Related to Redmine - Defect #12472: Roles REST API does not accept APl authen... Closed

Associated revisions

Revision 10620 - 2012-10-12 19:22 - Jean-Philippe Lang
Expose roles details via REST API (#11502).

History

#1 - 2012-07-24 19:57 - Jean-Philippe Lang

I'm not sure that everyone want the details about all their roles to be publicly visible.

#2 - 2012-07-25 00:08 - Terence Mill

Then we would need a right to have access to that roles information (at the moment onyl admin has this via web gui or using additional plugin like
redmine_information (http://www.redmine.org/plugins/rp_information).

#3 - 2012-07-25 12:31 - Vincent Caron

Since I'm a Rails newbie I'm not sure | handled authentication correctly.
From my tests with my patch (using cookie-based auth with my browser) :

e /roles.xml is available without authentication (original behaviour)
e /roles/:id.xml requires auth, returns result for an admin, 403 Forbidden for other regular users

Is that fine ?

| might second Terence suggestion, in my case I'd be happy with a kind of read-only admin account (see everything, but don't touch anything) and
finer grain permissions; but since the consumer is my own code in another controlled application, | know | only issue GETs and I'm pretty happy to
access Redmine REST services at admin level.

Jean-Philippe : would you accept the attached patch while it has no POST /roles/:id.:format implementation ? | deliberately skipped that part.

#4 - 2012-09-01 14:22 - Vincent Caron
- Assignee set to Jean-Philippe Lang

#5 - 2012-10-12 19:25 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 2.2.0

- Resolution set to Fixed

Committed in r10620 with tests. The APl is available to everyone, just like /roles.xml.
